Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.change_vision.jude.api.inf.model
Interface ITaggedValue

    com.change_vision.jude.api.inf.model.ITaggedValue

All Superinterfaces:
  IElement, IEntity

All Implemented Interfaces:
  IElement, IEntity

    public ITaggedValue

extends IElement

Interface for Tagged Values.

Method Summary
`abstract String` | `getKey()` Get Key.
`abstract String` | `getValue()` Get Value.
`abstract void` | `setKey(String key)` Set Key.
`abstract void` | `setValue(String value)` Set Value.

Methods inherited from class com.change_vision.jude.api.inf.model.IElement
`addStereotype, getComments, getContainer, getContainers, getId, getOwner, getPresentations, getStereotypes, getTaggedValues, getTypeModifier, hasStereotype, hasStereotype, isReadOnly, removeStereotype, setTypeModifier`

Method Detail

### getKey

    abstract String getKey()

  Get Key.

  Returns:
    Key

### getValue

    abstract String getValue()

  Get Value.

  Returns:
    Value

### setKey

    abstract void setKey(String key)

  Set Key.

  Parameters:
    `key` - Key
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

### setValue

    abstract void setValue(String value)

  Set Value.

  Parameters:
    `value` - Value
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD